# sigc::const_reference_wrapper< T_type > Struct Template Reference

Const reference wrapper. More...

List of all members.

## Public Member Functions

| const_reference_wrapper (const T_type &v)
| operator const T_type & () const

## Public Attributes

const T_type & | value_

## Detailed Description

### template <class T_type>
struct sigc::const_reference_wrapper< T_type >

Const reference wrapper.

Use sigc::ref() to create a const reference wrapper.

The documentation for this struct was generated from the following file:

- sigc++/reference_wrapper.h